Miscellaneous Items
Prev | PyGooCanvas Miscellaneous Items Reference |

## Miscellaneous Items

Miscellaneous Items — Miscellaneous items.

## Synopsis

    class goocanvas.Bounds:
        goocanvas.Bounds(coords=None)

## Ancestry

    +-- goocanvas.Bounds

## goocanvas.Bounds Attributes

"x1" | Read/Write | The left edge.
"y1" | Read/Write | The top edge.
"x2" | Read/Write | The right edge.
"y2" | Read/Write | The bottom edge.

## Description

`goocanvas.Bounds` represents the bounding box of an item in the canvas.

## Constructor

        goocanvas.Bounds(coords=None)

`coords`: | The four coords of the bounding box
Returns: | A new `goocanvas.Bounds`

Creates a new canvas bounds item.

Here's an example showing how to create bounds at (100.0, 100.0, 200.0, 200.0).

    bounds = goocanvas.Bounds(100.0, 100.0, 200.0, 200.0)

## Synopsis

    class goocanvas.Points:
        goocanvas.Points(points=None)

## Ancestry

    +-- goocanvas.Points

## goocanvas.Points Attributes

"coords" | Read | The coordinates of the points, as a list of tuples.
"num_points" | Read | The number of points.

## Description

`goocanvas.Points` represents an array of points.

## Constructor

        goocanvas.Points(points=None)

`points`: | A list of tuples containing the coords pair.
Returns: | A new `goocanvas.Points`

Creates a new canvas points item.

Here's an example showing how to create points.

    points = goocanvas.Points([(100.0, 100.0), (200.0, 200.0)])

## Synopsis

    class goocanvas.LineDash:
        goocanvas.LineDash(data=None)

## Ancestry

    +-- goocanvas.LineDash

## Description

`goocanvas.LineDash` specifies a dash pattern to be used when drawing items.

## Constructor

        goocanvas.LineDash(data=None)

`data`: | A list of line/space pairs.
Returns: | A new `goocanvas.LineDash`

Creates a new canvas linedash item.

Here's an example showing how to create linedash.

    linedash = goocanvas.LineDash([5.0, 10.0, 20.0, 10.0, 5.0])

Prev | Up |
PyGooCanvas Miscellaneous Items Reference | Home |